Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.trax
Class LogErrorListener

    java.lang.Object
      org.apache.ode.utils.trax.LogErrorListener

All Implemented Interfaces:
  javax.xml.transform.ErrorListener

    public class LogErrorListener

extends java.lang.Object
implements javax.xml.transform.ErrorListener

Constructor Summary
`LogErrorListener(org.apache.commons.logging.Log log)`

Method Summary
`void` | `error(javax.xml.transform.TransformerException exception)`
`void` | `fatalError(javax.xml.transform.TransformerException exception)`
`void` | `warning(javax.xml.transform.TransformerException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogErrorListener

    public LogErrorListener(org.apache.commons.logging.Log log)

Method Detail

### warning

    public void warning(javax.xml.transform.TransformerException exception)
                 throws javax.xml.transform.TransformerException

  Specified by:
    `warning` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### error

    public void error(javax.xml.transform.TransformerException exception)
               throws javax.xml.transform.TransformerException

  Specified by:
    `error` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

### fatalError

    public void fatalError(javax.xml.transform.TransformerException exception)
                    throws javax.xml.transform.TransformerException

  Specified by:
    `fatalError` in interface `javax.xml.transform.ErrorListener`
  Throws:
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD